part of tecfy_basic_package;

extension StringExtension on String {
  Color? toColor([Color? defaultColor]) {
    var hexColor = this.replaceAll("#", "");
    if (hexColor.length == 6) {
      hexColor = "FF" + hexColor;
    }
    if (hexColor.length == 8) {
      return Color(int.parse("0x$hexColor"));
    }
    return defaultColor;
  }
}

extension ColorExtension on Color {
  String toHexString() {
    return this.value.toRadixString(16);
  }
}
